{
  "schema_version": "1.4.0",
  "id": "GHSA-hr47-2mwx-hrmm",
  "modified": "2022-05-17T01:04:52Z",
  "published": "2022-05-17T01:04:52Z",
  "aliases": [
    "CVE-2010-2765"
  ],
  "details": "Integer overflow in the FRAMESET element implementation in Mozilla Firefox before 3.5.12 and 3.6.x before 3.6.9, Thunderbird before 3.0.7 and 3.1.x before 3.1.3, and SeaMonkey before 2.0.7 might allow remote attackers to execute arbitrary code via a large number of values in the cols (aka columns) attribute, leading to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2765"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=576447"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11519"
    },
    {
      "type": "WEB",
      "url": "http://blogs.sun.com/security/entry/multiple_vulnerabilities_in_mozilla_firefox"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-September/047282.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-10/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/42867"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/css/P8/documents/100110210"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/css/P8/documents/100112690"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2106"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:173"
    },
    {
      "type": "WEB",
      "url": "http://www.mozilla.org/security/announce/2010/mfsa2010-50.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/43095"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2323"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0061"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-09-09T19:00:00Z"
  }
}